"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D5F80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6020>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D60C0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6160>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6200>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D62A0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6340>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D63E0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6480>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6520>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D65C0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6660>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D67A0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6840>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D68E0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6980>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6A20>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6AC0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6B60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6C00>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6CA0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6D40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6DE0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6E80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6F20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D6FC0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7060>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7100>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D71A0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7240>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D72E0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7380>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7420>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D74C0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7560>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7600>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D76A0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7740>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D77E0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7880>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7920>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D79C0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7A60>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7B00>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7BA0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7C40>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7CE0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7D80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7E20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7EC0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B84D7F60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528040>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B85280E0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528180>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528220>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B85282C0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528360>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528400>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B85284A0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528540>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B85285E0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528680>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528720>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B85287C0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528860>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528900>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B85289A0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528A40>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528AE0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528B80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528C20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528CC0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528D60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528E00>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528EA0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528F40>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8528FE0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8529080>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8529120>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8529260>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B85291C0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8529300>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B85293A0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000164B8529440>)]
name: str = 'fr_HOCCN'
